﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using IGDocumentation;

namespace DockManager_with_DataGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Count> list = new List<Count>();
            list.Add(new Count() { Id = 1, Current = 12345.545454, Max = 100 });
            list.Add(new Count() { Id = 2, Current = 12345.545656, Max = 200 });
            this.xamDataGrid3.DataSource = list;
           
            this.xamDataGrid2.DataSource = CarsBusinessLogic.GetCars();
        }

        private void xamDataGrid2_Loaded(object sender, RoutedEventArgs e)
        {
            FieldLayout fieldLayout = new FieldLayout();
            Field field1 = new Field();
            field1.Name = "Make";
            field1.Column = 2;
            fieldLayout.Fields.Add(field1);
            Field field2 = new Field();
            field2.Name = "Model";
            field2.Column = 1;
            fieldLayout.Fields.Add(field2);
            Field field3 = new Field();
            field3.Name = "BasePrice";
            field3.Column = 3;
            fieldLayout.Fields.Add(field3);
            this.xamDataGrid2.FieldLayouts.Add(fieldLayout);

        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            

             
        }

        private void xamDataGrid3_Loaded(object sender, RoutedEventArgs e)
        {
            FieldLayout fieldLayout = new FieldLayout();
            Field field1 = new Field();
            field1.Name = "Id";
            field1.Column = 2;
            fieldLayout.Fields.Add(field1);
            Field field2 = new Field();
            field2.Name = "Current";
            field2.Column = 1;
            fieldLayout.Fields.Add(field2);
            Field field3 = new Field();
            field3.Name = "Max";
            field3.Column = 3;
            fieldLayout.Fields.Add(field3);
            (sender as XamDataGrid).FieldLayouts.Add(fieldLayout);
        }
    }
 
     
    public class Count
    {
        public int Id { get; set; }
        public double Current { get; set; }
        public int Max { get; set; }
    }
}
